/* Radiuses */

:root {
  --rd-sm: 0.25em;
  --rd-md: 0.5em;
  --rd-lg: 1.5em;
  --rd-xl: 2em;
  --rd-full: 6em;
}

/* Spacings */

:root {
  --sp-1: 0.25em; /* 4px */
  --sp-2: 0.5em; /* 8px */    
  --sp-3: 1em; /* 16px */
  --sp-4: 1.5em; /* 24px */
  --sp-5: 2em; /* 32px */
  --sp-6: 2.5em; /* 40px */
  --sp-7: 3em; /* 48px */
  --sp-8: 4em; /* 64px */
  --sp-9: 5em; /* 80px */
  --sp-10: 6em; /* 96px */
  --sp-11: 7em; /* 112px */
  --sp-12: 8em; /* 128px */
}

/* Transitions */

:root {
  --transition-snappy: all 0.15s cubic-bezier(0.2, 0.8, 0.2, 1);
  --act-transition: all 0.1s cubic-bezier(0.1, 0, 0.3, 1);
  --deact-transition: all 0.45s cubic-bezier(0.4, 0, 0.1, 1.1);
  --transition-bouncy: all 0.3s cubic-bezier(0.4, 0, 0.1, 1.1);
}

/* Rubber */

:root {
  --rubber-translate-x-ratio: 0.75;
  --rubber-stretch-ratio: 0.35;
  --rubber-scale-factor: 0.035;
}

/* Fonts */

@import url("https://fonts.googleapis.com/css2?family=Azeret+Mono:wght@400&display=swap");
@font-face {
  font-family: 'Azeret Mono';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/azeretmono/v21/3XF5ErsiyJsY9O_Gepph-FvtTQgMQUdNekSfnPVR1byb2Z4nAdbJ.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

* {
  font-family: "Azeret Mono", monospace;
  font-weight: 400;
  letter-spacing: 0.025em;
  -webkit-font-smoothing: antialiased;
  font-display: swap;
  text-transform: uppercase;
}
body {
  font-size: 0.75em;
}

/* Miscellaneous */

@media (prefers-reduced-motion: no-preference) {
  html {
    scroll-behavior: smooth;
  }
}

